Upgrade of eclipse-devel to 4.2.0

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade of eclipse-devel to 4.2.0

Thomas Gellekum
Moin,

I've put diffs for the upgrade of eclipse-devel at
<URL:http://people.freebsd.org/~tg/eclipse-devel-20120829.diff>. These
compile on 8-stable/amd64.

If someone wants to commit the changes right away (shouldn't be any harm
in doing that, eclipse-devel is ignored right now), please remember to
remove files/patch-generatedScripts and add files/MANIFEST.MF.junit4.

tg
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of eclipse-devel to 4.2.0

Greg Lewis-2
G'day Thomas,

On Wed, Aug 29, 2012 at 07:02:56PM +0200, Thomas Gellekum wrote:

> Moin,
>
> I've put diffs for the upgrade of eclipse-devel at
> <URL:http://people.freebsd.org/~tg/eclipse-devel-20120829.diff>. These
> compile on 8-stable/amd64.
>
> If someone wants to commit the changes right away (shouldn't be any harm
> in doing that, eclipse-devel is ignored right now), please remember to
> remove files/patch-generatedScripts and add files/MANIFEST.MF.junit4.
>
> tg

Thanks for working on this!  Looks like the version of jetty its trying to
fetch isn't available any more:

=> jetty-distribution-8.1.0.v20120127.tar.gz doesn't seem to exist in /usr/ports/distfiles/eclipse.
=> Attempting to fetch http://download.eclipse.org/jetty/8.1.0.v20120127/dist/jetty-distribution-8.1.0.v20120127.tar.gz
fetch: http://download.eclipse.org/jetty/8.1.0.v20120127/dist/jetty-distribution-8.1.0.v20120127.tar.gz:
Not Found

The oldest version there is jetty 8.1.3.  If you've got the older version
you could maybe put it in your public_distfiles directory and have it
fetched from there.  Otherwise we'll need to use one of the newer versions.

--
Greg Lewis                          Email   : [hidden email]
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : [hidden email]
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of eclipse-devel to 4.2.0

Greg Lewis-2
On Thu, Aug 30, 2012 at 07:17:17PM -0700, Greg Lewis wrote:

> G'day Thomas,
>
> On Wed, Aug 29, 2012 at 07:02:56PM +0200, Thomas Gellekum wrote:
> > Moin,
> >
> > I've put diffs for the upgrade of eclipse-devel at
> > <URL:http://people.freebsd.org/~tg/eclipse-devel-20120829.diff>. These
> > compile on 8-stable/amd64.
> >
> > If someone wants to commit the changes right away (shouldn't be any harm
> > in doing that, eclipse-devel is ignored right now), please remember to
> > remove files/patch-generatedScripts and add files/MANIFEST.MF.junit4.
> >
> > tg
>
> Thanks for working on this!  Looks like the version of jetty its trying to
> fetch isn't available any more:
>
> => jetty-distribution-8.1.0.v20120127.tar.gz doesn't seem to exist in /usr/ports/distfiles/eclipse.
> => Attempting to fetch http://download.eclipse.org/jetty/8.1.0.v20120127/dist/jetty-distribution-8.1.0.v20120127.tar.gz
> fetch: http://download.eclipse.org/jetty/8.1.0.v20120127/dist/jetty-distribution-8.1.0.v20120127.tar.gz:
> Not Found
>
> The oldest version there is jetty 8.1.3.  If you've got the older version
> you could maybe put it in your public_distfiles directory and have it
> fetched from there.  Otherwise we'll need to use one of the newer versions.

Nevermind, they have an archive site where its downloadable from.  I'll
just update the Makefile to point to that for jetty.

--
Greg Lewis                          Email   : [hidden email]
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : [hidden email]
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of eclipse-devel to 4.2.0

Greg Lewis-2
On Thu, Aug 30, 2012 at 09:18:36PM -0700, Greg Lewis wrote:

> On Thu, Aug 30, 2012 at 07:17:17PM -0700, Greg Lewis wrote:
> > G'day Thomas,
> >
> > On Wed, Aug 29, 2012 at 07:02:56PM +0200, Thomas Gellekum wrote:
> > > Moin,
> > >
> > > I've put diffs for the upgrade of eclipse-devel at
> > > <URL:http://people.freebsd.org/~tg/eclipse-devel-20120829.diff>. These
> > > compile on 8-stable/amd64.
> > >
> > > If someone wants to commit the changes right away (shouldn't be any harm
> > > in doing that, eclipse-devel is ignored right now), please remember to
> > > remove files/patch-generatedScripts and add files/MANIFEST.MF.junit4.
> > >
> > > tg
> >
> > Thanks for working on this!  Looks like the version of jetty its trying to
> > fetch isn't available any more:
> >
> > => jetty-distribution-8.1.0.v20120127.tar.gz doesn't seem to exist in /usr/ports/distfiles/eclipse.
> > => Attempting to fetch http://download.eclipse.org/jetty/8.1.0.v20120127/dist/jetty-distribution-8.1.0.v20120127.tar.gz
> > fetch: http://download.eclipse.org/jetty/8.1.0.v20120127/dist/jetty-distribution-8.1.0.v20120127.tar.gz:
> > Not Found
> >
> > The oldest version there is jetty 8.1.3.  If you've got the older version
> > you could maybe put it in your public_distfiles directory and have it
> > fetched from there.  Otherwise we'll need to use one of the newer versions.
>
> Nevermind, they have an archive site where its downloadable from.  I'll
> just update the Makefile to point to that for jetty.

Looks good other than that to me.  I ran into an SVN hurdle committing it
though.  files/freebsd-support.patch operates on multiple files and there
are a few with DOS line endings.  SVN pukes on commit since it doesn't want
mixed line endings in a file.  I've got a way around most of it, but I
haven't found a way to fix the patch for

build/eclipse-3.5.2-src/plugins/org.eclipse.update.core/plugin.properties

yet.  I'm not sure where to plug in a call to dos2unix ot the like to fix
the file before its patched.

CVS didn't have this issue is why we haven't run into this before.

--
Greg Lewis                          Email   : [hidden email]
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : [hidden email]
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of eclipse-devel to 4.2.0

Thomas Gellekum
On 08/31/12 15:13, Greg Lewis wrote:
> Looks good other than that to me.  I ran into an SVN hurdle committing it
> though.  files/freebsd-support.patch operates on multiple files and there
> are a few with DOS line endings.  SVN pukes on commit since it doesn't want
> mixed line endings in a file.

Anything I could say to that won't be appropriate for a family-friendly
mailing list. And partly unfair to the SVN developers.

> yet.  I'm not sure where to plug in a call to dos2unix ot the like to fix
> the file before its patched.

We could call the "unpack" target in post-extract, just like we call
"applyPatches" in post-patches. And maybe use tr(1)?

tg

_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"